WPS4TextInternal::FontName Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
WPS4TextInternal::FontName Struct Reference

Internal: class to store a font name: name with encoding type. More...

## Public Member Functions
| FontName (libwps_tools_win::Font::Type type)
| constructor with file's version to define the default encoding */ More...

## Static Public Member Functions
static librevenge::RVNGString | getDosName (int id)
| returns the default dos name corresponding to id th font More...

## Public Attributes
librevenge::RVNGString | m_name
| font name More...
libwps_tools_win::Font::Type | m_type
| font encoding type More...

## Friends
std::ostream & | operator<< (std::ostream &o, FontName const &ft)
| operator<< More...

## Detailed Description

Internal: class to store a font name: name with encoding type.

## Constructor & Destructor Documentation

WPS4TextInternal::FontName::FontName | ( | libwps_tools_win::Font::Type | type | ) |
| inlineexplicit

constructor with file's version to define the default encoding */

## Member Function Documentation

librevenge::RVNGString WPS4TextInternal::FontName::getDosName | ( | int | id | ) |
| static

returns the default dos name corresponding to id th font

Referenced by WPS4Text::readFont().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | FontName const & | ft
| ) |  |
| friend

operator<<

## Member Data Documentation

librevenge::RVNGString WPS4TextInternal::FontName::m_name

font name

Referenced by WPS4TextInternal::operator<<(), WPS4Text::readFont(), and WPS4Text::readFontNames().

libwps_tools_win::Font::Type WPS4TextInternal::FontName::m_type

font encoding type

Referenced by WPS4TextInternal::operator<<(), and WPS4Text::readFont().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp